%global src_name gnome_shell___deviantart_by_half_left-d3bwxvt.zip
%global theme_name afvigende-kunst
%global theme AfvigendeKunst


Name:           gnome-shell-theme-%{theme_name}
Version:        1.0
Release:        1%{?dist}
Summary:        The %{theme} gnome-shell theme  
Group:          User Interface/Desktops     

License:        GPLv3
URL:            http://half-left.deviantart.com/art/GNOME-Shell-DeviantArt-201411209
Source0:        http://www.deviantart.com/download/201411209/%{src_name}
Source1:        %{theme_name}.png
Patch0:         %{theme_name}-rename-theme.patch

Requires:       gnome-shell-extensions-user-theme
Requires:       gnome-shell >= 3.0.1
BuildArch:      noarch

%description
The %{theme} gnome-shell theme created by half_left

%prep
%setup -q -c 
%patch0 -p1

%build
#Nothing to build

%install
mkdir -p -m755 $RPM_BUILD_ROOT/%{_datadir}/themes/%{theme}/gnome-shell

# put the theme files into some data dir
cp -r gs-*/* $RPM_BUILD_ROOT/%{_datadir}/themes/%{theme}/.

# delete backup files (*~)
find $RPM_BUILD_ROOT -name *~ -type f -print | xargs /bin/rm -f

# remove LICENSE from BUILDROOT
find $RPM_BUILD_ROOT -name LICENSE -type f -print | xargs /bin/rm -f

# remove original preview and add a new one, to avoid trademark issues
find $RPM_BUILD_ROOT -name preview-*.jpg -type f -print | xargs /bin/rm -f
cp %{SOURCE1} $RPM_BUILD_ROOT/%{_datadir}/themes/%{theme}/gnome-shell/preview-%{theme_name}.png


%files
%doc gs-*/gnome-shell/LICENSE
%dir %{_datadir}/themes/%{theme}
%{_datadir}/themes/%{theme}/*


%changelog
* Sat Jul 02 2011 Tim Lauridsen <timlau@fedoraproject.org> 1.0-1
- initial rpm build
